package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 智能提醒（j_smart_reminders）表实体类
 * @author du
 * @since 2024/7/1 13:33
 */
@Data
@ApiModel("智能提醒")
@TableName(value = "j_smart_reminders")
public class JSmartReminders extends BaseInfoEntity {

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 规则名称
     */
    @ApiModelProperty("规则名称")
    private String rulesName;

    /**
     * 提醒对象 1.企业用户 2政务用户
     */
    @ApiModelProperty("提醒对象 1.企业用户 2政务用户")
    private Integer alertRecipients;

    /**
     * 提醒方式 1.定时提醒 2.不定时提醒
     */
    @ApiModelProperty("提醒方式 1.定期提醒 2.不定期提醒")
    private Integer alertManner;

    /**
     * 提醒时间
     */
    @ApiModelProperty("提醒时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alertTime;

    /**
     * 提醒分类 1.申报任务即将结束(企业) 2项目即将建设完成(政务)
     */
    @ApiModelProperty("提醒分类 1.申报任务即将结束(企业) 2项目即将建设完成(政务)")
    private Integer alertType;

    /**
     * 提前天数提醒
     */
    @ApiModelProperty("提前天数提醒")
    private Integer daysAdvance;

    /**
     * 项目id
     */
    @ApiModelProperty("项目id")
    private Long projectId;


    /**
     * 提醒内容
     */
    @ApiModelProperty("提醒内容")
    private String alertContent;

    /**
     * 创建ID
     */
    @ApiModelProperty("创建ID")
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 更新者ID
     */
    @ApiModelProperty("更新者ID")
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;
}
